package com.example.bpa.app;

import android.Manifest;
import android.app.Activity;
import android.app.Application;
import android.os.Build;
import android.util.Log;


import com.example.bpa.Model.IMessageLogNotify;
import com.example.bpa.config.ConfigName;
import com.example.bpa.db.QueryDB;
import com.example.bpa.db.file.DBHelper;
import com.example.bpa.db.mode.BPA_ALERTLOG;
import com.example.bpa.db.mode.BPA_LOG;
import com.example.bpa.db.mode.BPA_SILOS;
import com.example.bpa.db.mode.BPA_SILOSANDMATERIAL;
import com.example.bpa.db.mode.BPA_SUBORDER;
import com.example.bpa.db.mode.BPA_USER;
import com.example.bpa.helper.AES;
import com.example.bpa.helper.CrashHandler;
import com.example.bpa.helper.MessageLog;
import com.example.bpa.helper.NetworkUtils;
import com.example.bpa.helper.SdCart;
import com.example.bpa.helper.ToastUtil;
import com.example.bpa.service.BusinessServer;
import com.example.bpa.view.mode.AlertLogEnum;
import com.example.bpa.view.mode.UserLogEnum;

import pub.devrel.easypermissions.EasyPermissions;

/**
 * 程序启动执行
 * 创建:fengyoufu 20230413
 */
public class ICSApp extends Application {
    private static ICSApp instance;
    @Override
    public void onCreate() {
        super.onCreate();
        NetworkUtils.exec3("ip rule add from all lookup main pref 9999");
        ConfigName.getInstance().dishesCon = this;
        ConfigName.getInstance().app = this;
    }


}
