package com.example.bpa.view.from;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.example.bpa.Model.Res_PLCADDRESS;
import com.example.bpa.Model.Res_ZDSF;
import com.example.bpa.R;
import com.example.bpa.config.ConfigName;
import com.example.bpa.helper.ActiveMax;
import com.example.bpa.service.DeviceData;
import com.example.bpa.view.control.AutoNextLineLinearLayout;
import com.example.bpa.view.control.clsf_control;
import com.example.bpa.view.control.sdkz_control;
import com.example.bpa.view.control.tab_control;

import java.util.ArrayList;
import java.util.List;

public class clsfbc_activity extends AppCompatActivity implements View.OnClickListener{


    //region 变量
    /**
     * 返回按钮
     */
    ImageView gongneng_fanhui;
    /**
     * 标题设置
     */
    TextView gongneng_title;

    /**
     * 补偿算法
     */
    AutoNextLineLinearLayout bcsf_linrarlaout;
    Context context;
    Activity activity;
    //endregion

    //region 私有函数
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        ActiveMax.MaxFrom(this);//最大化

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_clsfbc);
        context=this.getBaseContext();
        activity=this;
        Init();
        initEvents();
    }

    @Override
    protected void onDestroy() {

        try {
        } catch (Exception e) {

        }
        super.onDestroy();
    }
    //endregion

    //region 公共函数

    /**
     * 初始化
     */
    private void Init(){
        gongneng_fanhui = this.findViewById(R.id.gongneng_fanhui);
        gongneng_title = this.findViewById(R.id.gongneng_title);
        bcsf_linrarlaout= this.findViewById(R.id.bcsf_linrarlaout);
        //通过Activity.getIntent()获取当前页面接收到的Intent。 getXxxExtra方法获取Intent传递过来的数据
        String msg = getIntent().getStringExtra("data");
        gongneng_title.setText(msg);
        Initdata();
    }

    /**
     * 初始化按钮事件
     */
    private void initEvents() {
        gongneng_fanhui.setOnClickListener(this);
        //switch

    }

    /**
     * 初始化数据加载
     */
    public void Initdata() {
        try {

            new Thread(new Runnable() {
                @Override
                public void run() {
                    try {
                        runOnUiThread(new Runnable() {
                            @Override
                            public void run() {
                                try {
                                    int i=1;
                                    for (Res_ZDSF item : ConfigName.getInstance().zdsfs_出料算法) {
                                        clsf_control sdkz = new clsf_control(context, null, i,item,activity);
                                        bcsf_linrarlaout.addView(sdkz);
                                        i++;
                                    }
                                } catch (Exception e) {

                                }
                            }
                        });
                    } catch (Exception e) {

                    }
                }
            }).start();
        } catch (Exception e) {

        }
    }
    //endregion

    //region 点击事件
    /**
     * 本页面点击事件监听
     *
     * @param v
     */
    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.gongneng_fanhui://返回按钮
                this.finish();
                break;
        }
    }
    //endregion
}